Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.mock.interceptor
Class MockInterceptor

Intercepting calls to the collaborating object and notify the expectation object.

author:
  Dierk Koenig

Field Summary
`def` | `expectation`

Constructor Summary
`MockInterceptor()`

Method Summary
`Object` | `afterInvoke(Object object, String methodName, def arguments, Object result)`
`Object` | `beforeGet(Object object, String property)`
`Object` | `beforeInvoke(Object object, String methodName, def arguments)`
`void` | `beforeSet(Object object, String property, Object newValue)`
`boolean` | `doInvoke()`

Constructor Detail

### MockInterceptor

    MockInterceptor()

Method Detail

### afterInvoke

    Object afterInvoke(Object object, String methodName, def arguments, Object result)

### beforeGet

    Object beforeGet(Object object, String property)

### beforeInvoke

    Object beforeInvoke(Object object, String methodName, def arguments)

### beforeSet

    void beforeSet(Object object, String property, Object newValue)

### doInvoke

    boolean doInvoke()